@import "../../../assets/styles/main.scss";

.loader {
  height: 100%;
  width: 100%;
  background-color: transparent;
  display: flex;
  justify-content: center;
  align-items: center;

  &_spinner {
    width: 40px;
    aspect-ratio: 1;
    border-radius: 50%;
    background: radial-gradient(farthest-side, #000000 94%, #0000) top/0.3rem
        0.3rem no-repeat,
      conic-gradient(#0000 30%, #000000);
    mask: radial-gradient(farthest-side, #0000 calc(100% - 0.3rem), #180d22 0);
    animation: l13 1s infinite linear;
    @keyframes l13 {
      100% {
        transform: rotate(1turn);
      }
    }
  }
}
